Package com.sas.lsaf.messaging.subscription

## Class Subscription

- java.lang.Object
- - com.sas.lsaf.messaging.subscription.Subscription

- All Implemented Interfaces:
    `java.io.Serializable`

      public class Subscription
      extends java.lang.Object
      implements java.io.Serializable

  The client representation of a subscription.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Subscription​(java.lang.String path, SubscriptionEvent event)` | The constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `SubscriptionEvent` | `getEvent()` | Gets the path of the object for the subscription.
    `java.lang.String` | `getPath()` | Gets the path of the object for the subscription.
    `int` | `hashCode()` |
    `void` | `setEvent​(SubscriptionEvent event)` | Sets the event for the subscription.
    `void` | `setPath​(java.lang.String path)` | Set the path of the object for the subscription
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Subscription

          public Subscription​(java.lang.String path,
                              SubscriptionEvent event)

      The constructor.
      Parameters:
        `path` - the path of the object to which to subscribe.
        `event` - the subscribable event.

  - ### Method Detail

    - #### getEvent

          public SubscriptionEvent getEvent()

      Gets the path of the object for the subscription.
      Returns:
        The path of the object for the subscription.

    - #### setEvent

          public void setEvent​(SubscriptionEvent event)

      Sets the event for the subscription.
      Parameters:
        `event` - the event for the subscription.

    - #### getPath

          public java.lang.String getPath()

      Gets the path of the object for the subscription.
      Returns:
        The path of the object for the subscription.

    - #### setPath

          public void setPath​(java.lang.String path)

      Set the path of the object for the subscription
      Parameters:
        `path` - the path of the object for the subscription.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`